## org.eclipse.emf.common.ui.wizard
Class ExampleInstallerWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
              org.eclipse.emf.common.ui.wizard.ExampleInstallerWizard

All Implemented Interfaces:
  IExecutableExtension, IWizard, INewWizard, IWorkbenchWizard

    public class ExampleInstallerWizard

extends AbstractExampleInstallerWizard
implements IExecutableExtension

Default implementation of `AbstractExampleInstallerWizard` which can be declared directly in the plugin.xml using the `org.eclipse.ui.newWizards` and `org.eclipse.emf.common.ui.examples` extension points.

When declaring this wizard, it is necessary to define a unique id for it.

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
`AbstractExampleInstallerWizard.FileToOpen, AbstractExampleInstallerWizard.ProjectDescriptor, AbstractExampleInstallerWizard.ProjectPage`

Field Summary
`protected java.util.List<AbstractExampleInstallerWizard.FileToOpen>` `filesToOpen`
`protected java.util.List<AbstractExampleInstallerWizard.ProjectDescriptor>` `projectDescriptors`
`protected IConfigurationElement` `wizardConfigurationElement`

Fields inherited from class org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
`OVERWRITE_ALL_QUERY, projectPage, structuredSelection, workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ExampleInstallerWizard()`

Method Summary
`protected java.util.List<AbstractExampleInstallerWizard.FileToOpen>` `getFilesToOpen()`
`protected java.util.List<AbstractExampleInstallerWizard.ProjectDescriptor>` `getProjectDescriptors()`
`protected void` `loadFromExtensionPoints()`
`void` `setInitializationData(IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard
`addPages, createDirectoryImportOperation, createFileImportOperation, createImportOperation, createProject, createZipImportOperation, dispose, getSelection, getWorkbench, init, installExample, isZipFile, openEditor, openErrorDialog, openFiles, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### wizardConfigurationElement

    protected IConfigurationElement wizardConfigurationElement

### projectDescriptors

    protected java.util.List<AbstractExampleInstallerWizard.ProjectDescriptor> projectDescriptors

### filesToOpen

    protected java.util.List<AbstractExampleInstallerWizard.FileToOpen> filesToOpen

Constructor Detail

### ExampleInstallerWizard

    public ExampleInstallerWizard()

Method Detail

### setInitializationData

    public void setInitializationData(IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws CoreException

  Specified by:
    `setInitializationData` in interface `IExecutableExtension`
  Throws:
    `CoreException`

### getProjectDescriptors

    protected java.util.List<AbstractExampleInstallerWizard.ProjectDescriptor> getProjectDescriptors()

  Specified by:
    `getProjectDescriptors` in class `AbstractExampleInstallerWizard`

### getFilesToOpen

    protected java.util.List<AbstractExampleInstallerWizard.FileToOpen> getFilesToOpen()

  Specified by:
    `getFilesToOpen` in class `AbstractExampleInstallerWizard`

### loadFromExtensionPoints

    protected void loadFromExtensionPoints()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.